Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableServer::POA::ObjectAlreadyActive Exception Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::POA::ObjectAlreadyActive:

[legend]
Collaboration diagram for PortableServer::POA::ObjectAlreadyActive:

[legend]
List of all members.

## Public Member Functions
| ObjectAlreadyActive (void)
| ObjectAlreadyActive (const ObjectAlreadyActive &)
| ~ObjectAlreadyActive (void)
ObjectAlreadyActive & | operator= (const ObjectAlreadyActive &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &) const
virtual void | _tao_decode (TAO_InputCDR &)
virtual CORBA::TypeCode_ptr | _tao_type (void) const
## Static Public Member Functions
void | _tao_any_destructor (void *)
ObjectAlreadyActive * | _downcast (CORBA::Exception *)
const ObjectAlreadyActive * | _downcast (CORBA::Exception const *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

PortableServer::POA::ObjectAlreadyActive::ObjectAlreadyActive | ( | void |  | ) |

PortableServer::POA::ObjectAlreadyActive::ObjectAlreadyActive | ( | const ObjectAlreadyActive & |  | ) |

PortableServer::POA::ObjectAlreadyActive::~ObjectAlreadyActive | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * PortableServer::POA::ObjectAlreadyActive::_alloc | ( | void |  | ) | `[static]`

const PortableServer::POA::ObjectAlreadyActive * PortableServer::POA::ObjectAlreadyActive::_downcast | ( | CORBA::Exception const * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

PortableServer::POA::ObjectAlreadyActive * PortableServer::POA::ObjectAlreadyActive::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

void PortableServer::POA::ObjectAlreadyActive::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void PortableServer::POA::ObjectAlreadyActive::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Exception.

void PortableServer::POA::ObjectAlreadyActive::_tao_decode | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Implements CORBA::Exception.

CORBA::Exception * PortableServer::POA::ObjectAlreadyActive::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

void PortableServer::POA::ObjectAlreadyActive::_tao_encode | ( | TAO_OutputCDR & |  | ) | const`[virtual]`

| Implements CORBA::Exception.

CORBA::TypeCode_ptr PortableServer::POA::ObjectAlreadyActive::_tao_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::UserException.

ObjectAlreadyActive& PortableServer::POA::ObjectAlreadyActive::operator= | ( | const ObjectAlreadyActive & |  | ) |

The documentation for this exception was generated from the following files:

- PortableServer.pidl
- PortableServerC.h
- PortableServerC.cpp